% PTrussElementTransformation.m (function)
% Returns the transformation matrix [2x4] of a 2D truss element
% given the coordinates of start node i (x1,y1) and end node j (x2,y2)
% This file is part of the PTrussMatlab program

function y = PTrussElementTransformation(x1,y1,x2,y2)

L = PTrussElementLength(x1,y1,x2,y2);
dx = x2-x1; dy = y2-y1;
cosfi = dx/L; sinfi = dy/L;

y = [cosfi   sinfi    0       0    ;
      0        0    cosfi   sinfi] ;
  
% End of file -------------------------------------------------------------